<?php
/**
 * Created by IntelliJ IDEA.
 * User: damien
 * Date: 18/06/2017
 * Time: 13:10
 */

namespace Actigraph\ActipageBaseBundle\Services;


class ActipageModuleChain
{
    private $moduleServices;

    public function __construct()
    {
        $this->moduleServices = array();
    }

    public function addService($moduleServices,$alias)
    {
        $this->moduleServices[$alias] = $moduleServices;
    }

    public function getService($alias)
    {
        if (array_key_exists($alias, $this->moduleServices)) {
            return $this->moduleServices[$alias];
        }
        return false;
    }
}